Count alerts matching filter
curl --request POST \
--url https://api.artu.ai/alerts/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"name": "<string>",
"description": "<string>",
"externalId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": {
"MX": {
"actividadVulnerable": {
"mesReportado": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {}
}
}
}
}
}
'import requests
url = "https://api.artu.ai/alerts/count"
payload = { "filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"name": "<string>",
"description": "<string>",
"externalId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": { "MX": {
"actividadVulnerable": {
"mesReportado": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {} }
} }
} }
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filter: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
search: '<string>',
name: '<string>',
description: '<string>',
externalId: '<string>',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
tagIds: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadataFilters: [{key: '<string>', value: '<string>'}],
scopeData: {
MX: {
actividadVulnerable: {
mesReportado: '<string>',
ARI: {},
AVI: {},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {}}
}
}
}
})
};
fetch('https://api.artu.ai/alerts/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/alerts/count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'search' => '<string>',
'name' => '<string>',
'description' => '<string>',
'externalId' => '<string>',
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z',
'tagIds' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'metadataFilters' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'mesReportado' => '<string>',
'ARI' => [
],
'AVI' => [
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/alerts/count"
payload := strings.NewReader("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"mesReportado\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/alerts/count")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"mesReportado\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/alerts/count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"mesReportado\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"count": 0
}Alerts
Count alerts matching filter
POST
/
alerts
/
count
Count alerts matching filter
curl --request POST \
--url https://api.artu.ai/alerts/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"name": "<string>",
"description": "<string>",
"externalId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": {
"MX": {
"actividadVulnerable": {
"mesReportado": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {}
}
}
}
}
}
'import requests
url = "https://api.artu.ai/alerts/count"
payload = { "filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"name": "<string>",
"description": "<string>",
"externalId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": { "MX": {
"actividadVulnerable": {
"mesReportado": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {} }
} }
} }
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filter: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
search: '<string>',
name: '<string>',
description: '<string>',
externalId: '<string>',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
tagIds: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadataFilters: [{key: '<string>', value: '<string>'}],
scopeData: {
MX: {
actividadVulnerable: {
mesReportado: '<string>',
ARI: {},
AVI: {},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {}}
}
}
}
})
};
fetch('https://api.artu.ai/alerts/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/alerts/count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'search' => '<string>',
'name' => '<string>',
'description' => '<string>',
'externalId' => '<string>',
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z',
'tagIds' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'metadataFilters' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'mesReportado' => '<string>',
'ARI' => [
],
'AVI' => [
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/alerts/count"
payload := strings.NewReader("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"mesReportado\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/alerts/count")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"mesReportado\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/alerts/count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"mesReportado\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"count": 0
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
OK
Required range:
-9007199254740991 <= x <= 9007199254740991Was this page helpful?
